%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif
%if "%distro_section" == "tainted"
%global build_plf 1
%endif
%define build_pvm 0
%{?_without_pvm:		%{expand: %%global build_pvm 0}}
%{?_with_pvm:			%{expand: %%global build_pvm 1}}
%define build_dv 1
%define build_freetype 1
%define build_quicktime 1
%define build_theora 1
%define build_faac 0

Name:		transcode
Version:	1.1.7
Release:	%mkrel 5
Summary:	A linux video stream processing utility
License: 	GPLv2+
Group: 		Video/Editors and Converters
Url:		http://tcforge.berlios.de/
Source:		https://bitbucket.org/france/transcode-tcforge/downloads/%{name}-%{version}.tar.bz2
Patch0:		transcode-1.1.7-ffmpeg.patch
Patch1:		transcode-1.1.7-ffmpeg-build.patch
Patch2:		transcode-1.1.7-ffmpeg-1.0.patch
Buildrequires:	ImageMagick-devel
Buildrequires:	SDL-devel
Buildrequires:	XFree86-devel
Buildrequires:	alsa-lib-devel
Buildrequires:	lcms-devel
BuildRequires: libffmpeg-devel >= 0.4.9
%if %build_dv
Buildrequires:	libdv-devel >= 0.99
%endif
Buildrequires:	libdvdread-devel
%if %build_freetype
BuildRequires:	freetype2-devel
%endif
BuildRequires:	libv4l-devel
BuildRequires:  xvid-devel
BuildRequires:  x264-devel
BuildRequires:	liblame-devel
BuildRequires:	libmjpegtools-devel
BuildRequires:	liba52dec-devel
BuildRequires:	liblzo-devel
BuildRequires:	libnetpbm-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel
BuildRequires:  xpm-devel
BuildRequires:	libmpeg2dec-devel
%if %build_faac
BuildRequires:  libfaac-devel
%endif
%if %build_quicktime
BuildRequires:  libquicktime-devel >= 0.9.3
%endif
%if %build_theora
BuildRequires:  libtheora-devel
%endif
%if %build_pvm
BuildRequires:  libpvm-devel >= 3.4
%endif
#gw these are requirements of the plf version of libMagick-devel
BuildRequires: libjasper-devel
BuildRequires: libjbig-devel

%description
transcode is a text-console video stream processing
tool. Decoding and encoding is done by loading shared library modules
that are responsible for feeding transcode with raw RGB/PCM streams 
(import module) and encoding the frames (export module). It supports
elementary video and audio frame transformations.
Some example modules are included to enable import
of MPEG program streams (VOB), Digital Video (DV), or YUV video 
and export modules for writing DivX;-), OpenDivX, or uncompressed AVI files. 
A set of tools is available to extract and decode the sources into 
raw video/audio streams for import and to enable post-processing of AVI files.

This package is in tainted as it could violate some patents.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
%ifarch %ix86
export CPPFLAGS="$CPPFLAGS -mmmx"
%endif
%configure2_5x \
--enable-libmpeg2 \
--enable-libmpeg2convert \
--enable-a52-default-decoder \
--with-default-xvid=xvid4 \
%if %build_dv
--enable-libdv \
%endif
%if %build_pvm
--with-pvm3-lib=/usr/share/pvm3/lib/LINUX/ \
%else
 --disable-pvm3 \
%endif
--enable-imagemagick \
--enable-mjpegtools \
--enable-netstream \
--enable-ogg --enable-vorbis \
%if %build_theora
 --enable-theora \
%endif
%if %build_quicktime
--enable-libquicktime \
%endif
--enable-lzo --with-lzo-includes=%_includedir/lzo \
--enable-libxml2 \
--enable-a52 \
--enable-sdl \
--enable-v4l \
--enable-libv4l2 \
--enable-libv4lconvert \
--enable-libfame \
--enable-oss \
--enable-alsa \
--enable-libpostproc \
%if %{build_faac}
--enable-faac \
%endif
--enable-deprecated \
%if %build_freetype
--enable-freetype2 \
%else
--disable-freetype2 \
%endif
--enable-xvid \
--enable-x264 \


%make 

%install
%makeinstall transform=""
for file in `find %{buildroot} -name "*.la"`; do
	perl -pi -e 's|'%{buildroot}'/%{name}-%{version}/||g' $file
done
mv %{buildroot}%{_datadir}/doc/transcode installed-docs

%files
%doc installed-docs/*
%{_bindir}/transcode
%{_bindir}/tccat
%{_bindir}/aviindex
%{_bindir}/avimerge
%{_bindir}/avisplit
%{_bindir}/tcdemux
%{_bindir}/tcprobe
%{_bindir}/avifix
%{_bindir}/tcscan
%{_bindir}/tcextract
%{_bindir}/avisync
%{_bindir}/tcdecode
%{_bindir}/tcmodinfo
%{_bindir}/tcxmlcheck
%{_bindir}/tcxpm2rgb
%{_bindir}/tcmp3cut
%{_bindir}/tcrequant
%if %build_pvm
%{_bindir}/tcpvmexportd
%endif
%{_bindir}/tcyait
%{_libdir}/%{name}
%{_mandir}/man1/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1.7-5.mga3
+ Revision: 384732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 1.1.7-4.mga3.tainted
+ Revision: 330825
- drop old symbol
- rebuild for new imagemagick
- rebuild for new imagemagick

* Sat Sep 08 2012 dams <dams> 1.1.7-2.mga3.tainted
+ Revision: 289838
- add a patch to build with ffmpeg 1.1.7 (from Arch)
- rebuild for new libavformat

* Sun Mar 04 2012 luigiwalser <luigiwalser> 1.1.7-1.mga2.tainted
+ Revision: 217666
- 1.1.7
- update ffmpeg patch (from gentoo)

* Fri Jan 27 2012 fwang <fwang> 1.1.5-12.mga2.tainted
+ Revision: 202198
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Thu Dec 22 2011 tv <tv> 1.1.5-11.mga2.tainted
+ Revision: 185752
- bump release

* Fri Dec 02 2011 obgr_seneca <obgr_seneca> 1.1.5-10.mga2.tainted
+ Revision: 175034
- rebuild to fix bug #3562
- bump relese

* Mon Jul 18 2011 fwang <fwang> 1.1.5-9.mga2.tainted
+ Revision: 125849
- rebuild for new mjpegtools

* Sat Jul 16 2011 stormi <stormi> 1.1.5-8.mga2.tainted
+ Revision: 124747
+ rebuild (emptylog)

* Sat Jun 25 2011 fwang <fwang> 1.1.5-7.mga2.tainted
+ Revision: 113593
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Wed Jun 22 2011 obgr_seneca <obgr_seneca> 1.1.5-6.mga2.tainted
+ Revision: 112523
- corrected plf to tainted

* Wed Jun 22 2011 obgr_seneca <obgr_seneca> 1.1.5-5.mga2.tainted
+ Revision: 112501
- added tainted to spec file
- cleaned spec file
- disabled faac build since it's not (yet) in Mga
- imported package transcode

